LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 01-12-2004, 09:01 PM   #1
ngan_yine
Member
 
Registered: Aug 2003
Distribution: Slackware 10.1
Posts: 113

Rep: Reputation: 15
automake problem!!!help!!


Hi! whenever I try to complie a program ,when it did complie successfully,it show the message that ' nothing could be done for all ' or 'nothing could be done for install-exec-am ' something like that ,can anybody tell me how to fix this?
thanks!
 
Old 01-12-2004, 10:01 PM   #2
alar
Member
 
Registered: Sep 2003
Location: Canada
Distribution: CentOS 5.5, Ubuntu 10.04, Linux Mint 11 gnome 64 bit
Posts: 336

Rep: Reputation: 36
Maybe last time it compiled....
Is your program working?
Could be ok.
Unless it's real big doesn't hurt to run 'make clean'
Does not change your config file.
Just rebuilds from source.
Sometimes good to put your mind at ease

then
make
make install
 
Old 01-13-2004, 09:15 AM   #3
ngan_yine
Member
 
Registered: Aug 2003
Distribution: Slackware 10.1
Posts: 113

Original Poster
Rep: Reputation: 15
I just complie pyxmms-remote just now ,Everything went fine but when I try to ' make 'it said the same thing ,like nothing to be done for all ,'nothing to be done for install-exec-am ' and it exit itself,last time I complie the program was superkaramba 0.33,I couldn't run the command make after I complie it so ,I was using it from src folder which is in superkaramba untar folder.It work perfectly.From them on ,I only try using rpm (by the way,althrought I am a linux newbie ,I am a hardcore mandrake fan,I use mdk9.1 with kernel 2.4.21-26 and I had install kdevelop instead of automake but I have automake 1.4.I try uninstalling kdevelop and use automake 1.6 but it doesn't work so,I just hang on with kdevelop.My autoconf version is 2.13,Everything is working smoothly but I can't complie anymore .I mean ,I am sorry,I can complie perfectly but it wouldn't make.
Can you tell me which is best between kdevelop and automake .Because in mdk9.1 ,I only got to chosse one .Whenever I try to install one from rpm ,other got to be uninstall.so ,what shall I do?
thanks for taking time for me.
 
Old 01-13-2004, 09:20 AM   #4
ngan_yine
Member
 
Registered: Aug 2003
Distribution: Slackware 10.1
Posts: 113

Original Poster
Rep: Reputation: 15
sorry,Yes all the compile program work but didn't go to it respected folder or install into it and I run as root whenever I install program.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
A problem about autoconf and automake icoming Programming 1 06-02-2005 03:52 AM
automake version problem davidsrsb Slackware 1 02-23-2005 11:09 PM
Automake upgrade problem tempo Linux - Software 7 02-07-2005 03:42 PM
Scribus installation problem, sez I need automake 1.6 when automake 1.9 is istalled Rockgod2099 Linux - Software 13 11-14-2004 07:37 PM
problem compiling with autoconf and automake feetyouwell Linux - Software 0 06-07-2004 11:41 PM


All times are GMT -5. The time now is 02:35 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration